Bug 124145 - Failed table when applying changes
Summary: Failed table when applying changes
Status: NEEDINFO
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.7.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2019-03-18 09:21 UTC by Wagner Matos
Modified: 2019-07-04 12:34 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wagner Matos 2019-03-18 09:21:33 UTC
Description:
Ao selecionar a tabela inteira com o mouse e aplicar alguma modificação, como letras em negrito ou centralizar o texto, a modificação é aplicada em toda a tabela, exceto na primeira coluna da última linha selecionada. É um erro pequeno, mas que me faz perder tempo tendo que ir somente naquele quadrado aplicar as mesmas modificações novamente.

Obs: Se eu fizer a seleção da tabela através das colunas, a modificação somente não é aplicada na primeira linha da última coluna selecionada.

Steps to Reproduce:
1. Selecionar com a seta todas as linhas da tabela.
2. Aplicar qualquer modificação no texto.

Actual Results:
A primeira coluna da última linha não aplica as modificações.

Expected Results:
As modificações deveriam ser aplicadas à tabela inteira.


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Comment 1 Julien Nabet 2019-03-18 14:32:38 UTC
On Win10 + LO 6.1.5.2, I don't reproduce this.

Do you reproduce this on a brand new file or only on specific file? If specific file only, could you attach it to the bugtracker? (have in mind to remove any confidential/private part from it).
Could you give a try to 6.1.5.2 (last stable LO version)?

Remark: please try to use English so more people can involve.
Comment 2 Oliver Brinzing 2019-03-18 18:04:44 UTC
Description:
When you select the entire table with the mouse and apply some modification, such as bold letters or center text, the modification is applied throughout the table, except in the first column of the last selected row. It is a small error, but that makes me lose time having to go only in that square apply the same modifications again.

Note: If I make the table selection through the columns, the modification is not applied to the first row of the last selected column.

Steps to Reproduce:
1. Select all rows from the table with the arrow.
2. Apply any modification in the text.

Current Results:
The first column of the last line does not apply the modifications.

Expected Results:
Modifications should be applied to the entire table.

Reproducible: Always
User Profile Reset: Yes
OpenGL enabled: Yes
Additional Info:
Comment 3 Wagner Matos 2019-03-18 18:37:02 UTC
(In reply to Julien Nabet from comment #1)
> On Win10 + LO 6.1.5.2, I don't reproduce this.
> 
> Do you reproduce this on a brand new file or only on specific file? If
> specific file only, could you attach it to the bugtracker? (have in mind to
> remove any confidential/private part from it).
> Could you give a try to 6.1.5.2 (last stable LO version)?
> 
> Remark: please try to use English so more people can involve.

Yes, I did a lot of tests and the problem persists. I have already installed the 6.1.5 and the 6.2.1 versions of LibreOffice and have not solved the bug.
Comment 4 Wagner Matos 2019-03-18 19:01:23 UTC
(In reply to Julien Nabet from comment #1)
> On Win10 + LO 6.1.5.2, I don't reproduce this.
> 
> Do you reproduce this on a brand new file or only on specific file? If
> specific file only, could you attach it to the bugtracker? (have in mind to
> remove any confidential/private part from it).
> Could you give a try to 6.1.5.2 (last stable LO version)?
> 
> Remark: please try to use English so more people can involve.

I reproduced the test one more time in the version 6.2.1, this time with texts in the blocks, and I notice that the bug only happens when the block in the last line of the first column is blank. When have some text in this block, the modifications are applied normally.
Comment 5 Julien Nabet 2019-03-18 20:43:30 UTC
I must miss something.
Could you upload a file so I just use Menu Table/Select/Table then use "Bold"?
Indeed, I could't succeed in reproducing this.
Comment 6 Wagner Matos 2019-03-19 04:39:04 UTC
(In reply to Julien Nabet from comment #5)
> I must miss something.
> Could you upload a file so I just use Menu Table/Select/Table then use
> "Bold"?
> Indeed, I could't succeed in reproducing this.

I made a video of this bug, but I couldn't uploaded as attachment, so I uploaded on Youtube: youtu.be/MU_dx5NIbSw
Comment 7 BogdanB 2019-03-20 16:01:37 UTC
I can NOT reproduce on
Version: 6.2.1.2
Build ID: 7bcb35dc3024a62dea0caee87020152d1ee96e71
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded

I can NOT reproduce on
Version: 6.3.0.0.alpha0+
Build ID: a03f421a878c210566dc8d728113a27400da38f2
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-03-16_09:07:41
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded
Comment 8 Roman Kuznetsov 2019-07-04 11:01:48 UTC
don't repro in

Version: 6.4.0.0.alpha0+ (x86)
Build ID: d35171456bc230efdaa9426da1398b2db7fa0df8
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-06-27_04:11:18
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded